/*
 * touch.h
 *
 *  Created on: Jul 29, 2024
 *      Author: true
 */

#ifndef USER_SRC_TOUCH_H_
#define USER_SRC_TOUCH_H_



#define TBTN_ADC                ADC2

#define TBTN_COUNT              2

#define TBTN1                   ADC_Channel_4       // right button
#define TBTN2                   ADC_Channel_9       // left button

#define TBTN_IDLE_LOW_VAL       0xfd0               // values above this == not touched. used to calibrate
#define TBTN_PUSHED_COUNTS      0x37f               // counts must drop below tbtn_idle_cal-TBTN_THRESHOLD to be considered a press


#define ADC_CTLR1_TKENABLE      (1 << 24)
#define ADC_CTLR1_BUFEN         (1 << 26)



void touch_init();

uint16_t touch_read_adc(u8 adc_ch);
uint16_t touch_read(u8 btn_ch);
uint8_t  touch_read_pushed(uint8_t btn_ch);



#endif /* USER_SRC_TOUCH_H_ */
